%undefine __cmake_in_source_build

Name:    plasma-workspace-wallpapers
Version: 5.27.10
Release:    1%{?dist}
Summary: Additional wallpapers for Plasma workspace
License: LGPLv3
URL:     https://cgit.kde.org/%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz
BuildArch: noarch

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel

Requires:       kde-filesystem

Conflicts:      kde-wallpapers < 15.08.3-10



%description
%{summary}.


%prep
%autosetup


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install


%files
%license COPYING.LGPL3
%{_datadir}/wallpapers/Altai/
%{_datadir}/wallpapers/Autumn/
%{_datadir}/wallpapers/BytheWater/
%{_datadir}/wallpapers/Canopee/
%{_datadir}/wallpapers/Cascade/
%{_datadir}/wallpapers/Cluster/
%{_datadir}/wallpapers/ColdRipple/
%{_datadir}/wallpapers/ColorfulCups/
%{_datadir}/wallpapers/DarkestHour/
%{_datadir}/wallpapers/Elarun/
%{_datadir}/wallpapers/EveningGlow/
%{_datadir}/wallpapers/FallenLeaf/
%{_datadir}/wallpapers/FlyingKonqui/
%{_datadir}/wallpapers/Flow/
%{_datadir}/wallpapers/Grey/
%{_datadir}/wallpapers/Honeywave/
%{_datadir}/wallpapers/IceCold/
%{_datadir}/wallpapers/Kay/
%{_datadir}/wallpapers/Kite/
%{_datadir}/wallpapers/Kokkini/
%{_datadir}/wallpapers/MilkyWay/
%{_datadir}/wallpapers/OneStandsOut/
%{_datadir}/wallpapers/Opal/
%{_datadir}/wallpapers/PastelHills/
%{_datadir}/wallpapers/Patak/
%{_datadir}/wallpapers/Path/
%{_datadir}/wallpapers/SafeLanding/
%{_datadir}/wallpapers/Shell/
%{_datadir}/wallpapers/summer_1am/
%{_datadir}/wallpapers/Volna/

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
